Subject: Re: [PATCH net-next] net: mvmdio: fix driver probe on missing irq

From: Marek Behun <[email-masked]>
Date: Thu, 19 Mar 2020 05:21:19 +0100

On Thu, 19 Mar 2020 02:00:57 +0000
Chris Packham <[email-masked]> wrote:

> Hi Marek,
> 
> On Thu, 2020-03-19 at 02:29 +0100, Marek Behún wrote:
> > Commit e1f550dc44a4 made the use of platform_get_irq_optional, which can
> > return -ENXIO when interrupt is missing. Handle this as non-error,
> > otherwise the driver won't probe.  
> 
> This has already been fixed in net/master by reverting e1f550dc44a4 and
> replacing it with fa2632f74e57bbc869c8ad37751a11b6147a3acc.

:( It isn't in net-next. I've spent like an hour debugging it :-D